### Method

# GLib MatchInfo get_string

since: 2.14

#### Declaration

    const gchar*
    g_match_info_get_string (
      const GMatchInfo* match_info
    )

#### Description

Returns the string searched with `match_info`. This is the string passed to `g_regex_match()` or `g_regex_replace()` so you may not free it before calling this function.

Available since: 2.14

#### Return value

Type: `const gchar*`

The string searched with `match_info`.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.